// AutomaticSplitterView.cpp : implementation of the CAutomaticSplitterView class
//

#include "stdafx.h"
#include "AutomaticSplitter.h"

#include "AutomaticSplitterDoc.h"
#include "AutomaticSplitterView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView

IMPLEMENT_DYNCREATE(CAutomaticSplitterView, CView)

BEGIN_MESSAGE_MAP(CAutomaticSplitterView, CView)
	//{{AFX_MSG_MAP(CAutomaticSplitterView)
	ON_WM_KILLFOCUS()
	ON_WM_SETFOCUS()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView construction/destruction

CAutomaticSplitterView::CAutomaticSplitterView()
{
	// TODO: add construction code here

}

CAutomaticSplitterView::~CAutomaticSplitterView()
{
}

BOOL CAutomaticSplitterView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView drawing

void CAutomaticSplitterView::OnDraw(CDC* pDC)
{
	CAutomaticSplitterDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView printing

BOOL CAutomaticSplitterView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CAutomaticSplitterView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CAutomaticSplitterView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView diagnostics

#ifdef _DEBUG
void CAutomaticSplitterView::AssertValid() const
{
	CView::AssertValid();
}

void CAutomaticSplitterView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CAutomaticSplitterDoc* CAutomaticSplitterView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CAutomaticSplitterDoc)));
	return (CAutomaticSplitterDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CAutomaticSplitterView message handlers

#include "ChildFrm.h"

//==================================================================================
// Function name	: CAutomaticSplitterView::OnKillFocus
// Written by	    : Stephane Routelous / 28-10-99
// Description	    : Kill the focus ( to erase the "yellow" border of the current active View ) 
// Return type		: void 
//==================================================================================
// Argument         : CWnd* pNewWnd
void CAutomaticSplitterView::OnKillFocus(CWnd* pNewWnd) 
{
	CView::OnKillFocus(pNewWnd);
	
	((CChildFrame*)GetParentFrame())->m_wndSplitter.RefreshSplitBars();
}


//==================================================================================
// Function name	: CAutomaticSplitterView::OnSetFocus
// Written by	    : Stephane Routelous / 28-10-99
// Description	    : Set the focus ( to draw the "yellow" border of the current active View ) 
// Return type		: void 
//==================================================================================
// Argument         : CWnd* pOldWnd
void CAutomaticSplitterView::OnSetFocus(CWnd* pOldWnd) 
{
	CView::OnSetFocus(pOldWnd);
	
	((CChildFrame*)GetParentFrame())->m_wndSplitter.RefreshSplitBars();
}

void CAutomaticSplitterView::DoSomething(const COLORREF& aCol)
{
	CClientDC dc(this);
	CRect clRect;
	GetClientRect(&clRect);
	dc.FillSolidRect(clRect,aCol);
}
